package com.lightinit.hsdatashow.service;

import com.lightinit.hsdatashow.entity.PermissionModule;
import com.lightinit.hsdatashow.entity.SentryRoleAction;

import java.util.List;

/**
 * Created by Mr.Yao on 2017/11/8.
 */
public interface IShiroPermissionsService {
    List<SentryRoleAction> selectSentryRoleAction(List<String> roles);
    List<SentryRoleAction> selectSentryRoleAction(String code,List<String> roles);
    List<PermissionModule> findAll();
}
